Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/tools/odd2nuodd.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/tools/odd2nuodd.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/tools/odd2nuodd.xsl	(revision 2397)
@@ -1,200 +1,208 @@
 <?xml version="1.0" encoding="utf-8"?>
-<xsl:stylesheet version="2.0" 
+<xsl:stylesheet version="2.0"
 	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 	xpath-default-namespace="http://www.tei-c.org/ns/1.0"
-	xmlns="http://www.tei-c.org/ns/1.0"
->
+	xmlns="http://www.tei-c.org/ns/1.0">
 
-  <!--
-      
-      $Id: odd2nuodd.xsl 9297 2011-09-07 21:37:09Z rahtz $
-      Sebastian Rahtz 2011/03/26
-      
-      Read an ODD with <elementSpec mode="delete"> statements and rewrite it
-      as <moduleRef include="* * *" or except="* * *">
-      
-  -->
-  <!-- where is a copy of P5? -->
-  <xsl:param name="P5">http://www.tei-c.org/Vault/P5/current/xml/tei/odd/p5subset.xml</xsl:param>
-  
-  <!-- do you want moduleRef generated with @include or @except? -->
-  <xsl:param name="method">include</xsl:param>
+	<!-- $Id: odd2nuodd.xsl 9297 2011-09-07 21:37:09Z rahtz $ Sebastian Rahtz 
+		2011/03/26 Read an ODD with <elementSpec mode="delete"> statements and rewrite 
+		it as <moduleRef include="* * *" or except="* * *"> -->
+	<!-- where is a copy of P5? -->
+	<xsl:param name="P5">
+		http://www.tei-c.org/Vault/P5/current/xml/tei/odd/p5subset.xml
+	</xsl:param>
 
+	<!-- do you want moduleRef generated with @include or @except? -->
+	<xsl:param name="method">
+		include
+	</xsl:param>
 
 
-  <xsl:key name="EbyM" match="elementSpec" use="@module"/>
 
-  <xsl:key name="deletedE" match="elementSpec[@mode='delete']" use="@ident"/>
-  <xsl:key name="changedE" match="elementSpec[@mode='change']" use="@ident"/>
-  <xsl:key name="changedE" match="elementSpec[@mode='replace']" use="@ident"/>
+	<xsl:key name="EbyM" match="elementSpec" use="@module" />
 
-  <xsl:variable name="orig" select="/"/>
+	<xsl:key name="deletedE" match="elementSpec[@mode='delete']"
+		use="@ident" />
+	<xsl:key name="changedE" match="elementSpec[@mode='change']"
+		use="@ident" />
+	<xsl:key name="changedE" match="elementSpec[@mode='replace']"
+		use="@ident" />
 
-  <!-- identifty transforms -->
-  <xsl:template match="@*|text()|comment()|processing-instruction()">
-    <xsl:copy-of select="."/>
-  </xsl:template>
+	<xsl:variable name="orig" select="/" />
 
-  <xsl:template match="@*|text()|comment()|processing-instruction()" mode="stage2">
-    <xsl:copy-of select="."/>
-  </xsl:template>
+	<!-- identifty transforms -->
+	<xsl:template
+		match="@*|text()|comment()|processing-instruction()">
+		<xsl:copy-of select="." />
+	</xsl:template>
 
-  <xsl:template match="*">
-    <xsl:copy>
-      <xsl:apply-templates select="*|@*|processing-instruction()|comment()|text()"/>
-    </xsl:copy>
-  </xsl:template>
+	<xsl:template
+		match="@*|text()|comment()|processing-instruction()" mode="stage2">
+		<xsl:copy-of select="." />
+	</xsl:template>
 
-  <xsl:template match="*" mode="stage2">
-    <xsl:copy>
-      <xsl:apply-templates
-	  select="*|@*|processing-instruction()|comment()|text()" mode="stage2"/>
-    </xsl:copy>
-  </xsl:template>
-  
-  
-  <!-- work in two phases, so we can zap empty specGrp on pass 2-->
-  <xsl:template match="/">
-    <xsl:variable name="stage1">
-      <xsl:apply-templates/>
-    </xsl:variable>
-    <xsl:for-each select="$stage1">
-      <xsl:apply-templates mode="stage2"/>
-    </xsl:for-each>
-  </xsl:template>
-  
-  <!-- ignore elementSpec @mode='delete' -->
-  <xsl:template match="elementSpec[@mode='delete']"/>
-  
-  <xsl:template match="moduleRef/@include"/>
-  <xsl:template match="moduleRef/@except"/>
+	<xsl:template match="*">
+		<xsl:copy>
+			<xsl:apply-templates
+				select="*|@*|processing-instruction()|comment()|text()" />
+		</xsl:copy>
+	</xsl:template>
 
-  <!-- for any moduleRef, look up all the members of it in P5;
-       if they are not deleted by this odd, add them to a list to be
-       included -->
-  <xsl:template match="moduleRef[@key]">
-    <xsl:variable name="here" select="."/>
-    <xsl:copy>
-      <xsl:apply-templates select="@*"/>
-      <xsl:variable name="module" select="@key"/>
-      <xsl:choose>
-	<xsl:when test="$method='include' and @include">
-	  <xsl:copy-of select="@include"/>
-	</xsl:when>	
-	<xsl:when test="$method='except' and @except">
-	  <xsl:copy-of select="@except"/>
-	</xsl:when>	
-	<xsl:when test="$method='include' and @except">
-	  <xsl:variable name="not">
-	    <xsl:for-each select="tokenize($here/@except,' ')">
-	      <not ident="{.}"/>
-	    </xsl:for-each>
-	  </xsl:variable>
-	  <xsl:variable name="includelist">
-	    <xsl:for-each select="document($P5)">
-	      <xsl:for-each select="key('EbyM',$module)">
-		<xsl:sort select="@ident"/>
-		<xsl:variable name="e" select="@ident"/>
-		<xsl:if test="not($not/not[@ident=$e])">
-		  <xsl:value-of select="$e"/>
-		    <xsl:text> </xsl:text>
-		</xsl:if>
-	      </xsl:for-each>
-	    </xsl:for-each>
-	  </xsl:variable>
-	  <xsl:if test="not($includelist='')">
-	    <xsl:attribute name="include" select="normalize-space($includelist)"/>
-	  </xsl:if>
-	</xsl:when>
-	<xsl:when test="$method='include'">
-	  <xsl:variable name="includelist">
-	    <xsl:for-each select="document($P5)">
-	      <xsl:for-each select="key('EbyM',$module)">
-		<xsl:sort select="@ident"/>
-		<xsl:variable name="e" select="@ident"/>
-		<xsl:for-each select="$orig">
-		  <xsl:choose>
-		  <xsl:when test="key('deletedE',$e)"/>
-		  <xsl:otherwise>
-		    <xsl:value-of select="$e"/>
-		    <xsl:text> </xsl:text>
-		  </xsl:otherwise>
-		  </xsl:choose>
+	<xsl:template match="*" mode="stage2">
+		<xsl:copy>
+			<xsl:apply-templates
+				select="*|@*|processing-instruction()|comment()|text()"
+				mode="stage2" />
+		</xsl:copy>
+	</xsl:template>
+
+
+	<!-- work in two phases, so we can zap empty specGrp on pass 2 -->
+	<xsl:template match="/">
+		<xsl:variable name="stage1">
+			<xsl:apply-templates />
+		</xsl:variable>
+		<xsl:for-each select="$stage1">
+			<xsl:apply-templates mode="stage2" />
 		</xsl:for-each>
-	      </xsl:for-each>
-	    </xsl:for-each>
-	  </xsl:variable>
-	  <xsl:if test="not($includelist='')">
-	    <xsl:attribute name="include"
-			   select="normalize-space($includelist)"/>
-	  </xsl:if>
-	</xsl:when>
-	<xsl:when test="$method='except' and @include">
-	  <xsl:variable name="yes">
-	    <xsl:for-each select="tokenize($here/@include,' ')">
-	      <yes ident="{.}"/>
-	    </xsl:for-each>
-	  </xsl:variable>
-	  <xsl:variable name="exceptlist">
-	    <xsl:for-each select="document($P5)">
-	      <xsl:for-each select="key('EbyM',$module)">
-		<xsl:sort select="@ident"/>
-		<xsl:variable name="e" select="@ident"/>
-		<xsl:for-each select="$orig">
-		  <xsl:if test="not($yes/yes[@ident=$e])">
-		    <xsl:value-of select="$e"/>
-		    <xsl:text> </xsl:text>
-		  </xsl:if>
-		</xsl:for-each>
-	      </xsl:for-each>
-	    </xsl:for-each>
-	  </xsl:variable>
-	  <xsl:if test="not($exceptlist='')">
-	    <xsl:attribute name="except"  select="normalize-space($exceptlist)"/>
-	  </xsl:if>
-	</xsl:when>
-	<xsl:when test="$method='except'">
-	  <xsl:variable name="exceptlist">
-	    <xsl:for-each select="document($P5)">
-	      <xsl:for-each select="key('EbyM',$module)">
-		<xsl:sort select="@ident"/>
-		<xsl:variable name="e" select="@ident"/>
-		<xsl:for-each select="$orig">
-		  <xsl:if test="key('deletedE',$e)">
-		    <xsl:value-of select="$e"/>
-		    <xsl:text> </xsl:text>
-		  </xsl:if>
-		</xsl:for-each>
-	      </xsl:for-each>
-	    </xsl:for-each>
-	  </xsl:variable>
-	  <xsl:if test="not($exceptlist='')">
-	    <xsl:attribute name="except" select="normalize-space($exceptlist)"/>
-	  </xsl:if>
-	</xsl:when>
-	<xsl:otherwise>
-	  <xsl:message terminate="yes">Method <xsl:value-of
-	  select="$method"/> not supported</xsl:message>
-	</xsl:otherwise>
-      </xsl:choose>
-	</xsl:copy>
-      </xsl:template>
+	</xsl:template>
 
-  <xsl:template mode="stage2" match="specGrp[not(*)]"/>
+	<!-- ignore elementSpec @mode='delete' -->
+	<xsl:template match="elementSpec[@mode='delete']" />
 
-  <xsl:template mode="stage2" match="specGrpRef">
-    <xsl:choose>
-      <xsl:when test="starts-with(@target,'#')">
-	<xsl:for-each
-	    select="id(substring(@target,2))">
-	  <xsl:if test="*">
-	    <specGrpRef target="#{@xml:id}"/>
-	  </xsl:if>
-	</xsl:for-each>
-      </xsl:when>
-      <xsl:otherwise>
-	<xsl:copy-of select="."/>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:template>
+	<xsl:template match="moduleRef/@include" />
+	<xsl:template match="moduleRef/@except" />
+
+	<!-- for any moduleRef, look up all the members of it in P5; if they are 
+		not deleted by this odd, add them to a list to be included -->
+	<xsl:template match="moduleRef[@key]">
+		<xsl:variable name="here" select="." />
+		<xsl:copy>
+			<xsl:apply-templates select="@*" />
+			<xsl:variable name="module" select="@key" />
+			<xsl:choose>
+				<xsl:when test="$method='include' and @include">
+					<xsl:copy-of select="@include" />
+				</xsl:when>
+				<xsl:when test="$method='except' and @except">
+					<xsl:copy-of select="@except" />
+				</xsl:when>
+				<xsl:when test="$method='include' and @except">
+					<xsl:variable name="not">
+						<xsl:for-each select="tokenize($here/@except,' ')">
+							<not ident="{.}" />
+						</xsl:for-each>
+					</xsl:variable>
+					<xsl:variable name="includelist">
+						<xsl:for-each select="document($P5)">
+							<xsl:for-each select="key('EbyM',$module)">
+								<xsl:sort select="@ident" />
+								<xsl:variable name="e" select="@ident" />
+								<xsl:if test="not($not/not[@ident=$e])">
+									<xsl:value-of select="$e" />
+									<xsl:text> </xsl:text>
+								</xsl:if>
+							</xsl:for-each>
+						</xsl:for-each>
+					</xsl:variable>
+					<xsl:if test="not($includelist='')">
+						<xsl:attribute name="include"
+							select="normalize-space($includelist)" />
+					</xsl:if>
+				</xsl:when>
+				<xsl:when test="$method='include'">
+					<xsl:variable name="includelist">
+						<xsl:for-each select="document($P5)">
+							<xsl:for-each select="key('EbyM',$module)">
+								<xsl:sort select="@ident" />
+								<xsl:variable name="e" select="@ident" />
+								<xsl:for-each select="$orig">
+									<xsl:choose>
+										<xsl:when test="key('deletedE',$e)" />
+										<xsl:otherwise>
+											<xsl:value-of select="$e" />
+											<xsl:text> </xsl:text>
+										</xsl:otherwise>
+									</xsl:choose>
+								</xsl:for-each>
+							</xsl:for-each>
+						</xsl:for-each>
+					</xsl:variable>
+					<xsl:if test="not($includelist='')">
+						<xsl:attribute name="include"
+							select="normalize-space($includelist)" />
+					</xsl:if>
+				</xsl:when>
+				<xsl:when test="$method='except' and @include">
+					<xsl:variable name="yes">
+						<xsl:for-each select="tokenize($here/@include,' ')">
+							<yes ident="{.}" />
+						</xsl:for-each>
+					</xsl:variable>
+					<xsl:variable name="exceptlist">
+						<xsl:for-each select="document($P5)">
+							<xsl:for-each select="key('EbyM',$module)">
+								<xsl:sort select="@ident" />
+								<xsl:variable name="e" select="@ident" />
+								<xsl:for-each select="$orig">
+									<xsl:if test="not($yes/yes[@ident=$e])">
+										<xsl:value-of select="$e" />
+										<xsl:text> </xsl:text>
+									</xsl:if>
+								</xsl:for-each>
+							</xsl:for-each>
+						</xsl:for-each>
+					</xsl:variable>
+					<xsl:if test="not($exceptlist='')">
+						<xsl:attribute name="except"
+							select="normalize-space($exceptlist)" />
+					</xsl:if>
+				</xsl:when>
+				<xsl:when test="$method='except'">
+					<xsl:variable name="exceptlist">
+						<xsl:for-each select="document($P5)">
+							<xsl:for-each select="key('EbyM',$module)">
+								<xsl:sort select="@ident" />
+								<xsl:variable name="e" select="@ident" />
+								<xsl:for-each select="$orig">
+									<xsl:if test="key('deletedE',$e)">
+										<xsl:value-of select="$e" />
+										<xsl:text> </xsl:text>
+									</xsl:if>
+								</xsl:for-each>
+							</xsl:for-each>
+						</xsl:for-each>
+					</xsl:variable>
+					<xsl:if test="not($exceptlist='')">
+						<xsl:attribute name="except"
+							select="normalize-space($exceptlist)" />
+					</xsl:if>
+				</xsl:when>
+				<xsl:otherwise>
+					<xsl:message terminate="yes">
+						Method
+						<xsl:value-of select="$method" />
+						not supported
+					</xsl:message>
+				</xsl:otherwise>
+			</xsl:choose>
+		</xsl:copy>
+	</xsl:template>
+
+	<xsl:template mode="stage2" match="specGrp[not(*)]" />
+
+	<xsl:template mode="stage2" match="specGrpRef">
+		<xsl:choose>
+			<xsl:when test="starts-with(@target,'#')">
+				<xsl:for-each select="id(substring(@target,2))">
+					<xsl:if test="*">
+						<specGrpRef target="#{@xml:id}" />
+					</xsl:if>
+				</xsl:for-each>
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:copy-of select="." />
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
 </xsl:stylesheet>
Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/tools/makegraphicsanttask.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/tools/makegraphicsanttask.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/tools/makegraphicsanttask.xsl	(revision 2397)
@@ -1,141 +1,155 @@
 <?xml version="1.0" encoding="utf-8"?>
 <xsl:stylesheet xmlns:tei="http://www.tei-c.org/ns/1.0"
-		xmlns:teix="http://www.tei-c.org/ns/Examples"
-		xmlns:smil="http://www.w3.org/ns/SMIL"
-                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-                version="2.0">
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet" type="stylesheet">
-      <desc>
-         <p> TEI stylesheet to get list of graphics files and make an
-	 ant task to copy them</p>
-         <p>This software is dual-licensed:
+	xmlns:teix="http://www.tei-c.org/ns/Examples"
+	xmlns:smil="http://www.w3.org/ns/SMIL"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet"
+		type="stylesheet">
+		<desc>
+			<p> TEI stylesheet to get list of graphics files and make an
+				ant task to copy them</p>
+			<p>This software is dual-licensed:
 
-1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
-Unported License http://creativecommons.org/licenses/by-sa/3.0/ 
+				1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
+				Unported License http://creativecommons.org/licenses/by-sa/3.0/
 
-2. http://www.opensource.org/licenses/BSD-2-Clause
-		
-All rights reserved.
+				2. http://www.opensource.org/licenses/BSD-2-Clause
 
-Redistribution and use in source and binary forms, with or without
-modification, are permitted provided that the following conditions are
-met:
+				All rights reserved.
 
-* Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.
+				Redistribution and use in source and binary forms, with or without
+				modification, are permitted provided that the following conditions are
+				met:
 
-* Redistributions in binary form must reproduce the above copyright
-notice, this list of conditions and the following disclaimer in the
-documentation and/or other materials provided with the distribution.
+				* Redistributions of source code must retain the above copyright
+				notice, this list of conditions and the following disclaimer.
 
-This software is provided by the copyright holders and contributors
-"as is" and any express or implied warranties, including, but not
-limited to, the implied warranties of merchantability and fitness for
-a particular purpose are disclaimed. In no event shall the copyright
-holder or contributors be liable for any direct, indirect, incidental,
-special, exemplary, or consequential damages (including, but not
-limited to, procurement of substitute goods or services; loss of use,
-data, or profits; or business interruption) however caused and on any
-theory of liability, whether in contract, strict liability, or tort
-(including negligence or otherwise) arising in any way out of the use
-of this software, even if advised of the possibility of such damage.
-</p>
-         <p>Author: See AUTHORS</p>
-         <p>Id: $Id: makegraphicsanttask.xsl 9646 2011-11-05 23:39:08Z rahtz $</p>
-         <p>Copyright: 2008, TEI Consortium</p>
-      </desc>
-   </doc>
-   <xsl:key name="G" match="tei:graphic[not(ancestor::teix:egXML)]"  use="1"/>
-   <xsl:key name="PB" match="tei:pb[@facs and not(@rend='none')]" use="1"/>
-   <xsl:key name="Timeline" match="tei:timeline" use="1"/>
-   <xsl:param name="mediaoverlay">false</xsl:param>
-   <xsl:param name="filePerPage">false</xsl:param>
-   <xsl:param name="inputDir">.</xsl:param>
-   <xsl:param name="mediaDir">word/media</xsl:param>
-   <xsl:template match="/">
-     <project xmlns="" basedir="." default="dist" name="imagecopy">
-       <target name="dist">
-	 <xsl:if test="key('PB',1) or key('G',1)">
-	   <mkdir>
-	     <xsl:attribute name="dir">
+				* Redistributions in binary form must reproduce the above copyright
+				notice, this list of conditions and the following disclaimer in the
+				documentation and/or other materials provided with the distribution.
+
+				This software is provided by the copyright holders and contributors
+				"as is" and any express or implied warranties, including, but not
+				limited to, the implied warranties of merchantability and fitness
+				for
+				a particular purpose are disclaimed. In no event shall the copyright
+				holder or contributors be liable for any direct, indirect,
+				incidental,
+				special, exemplary, or consequential damages (including, but not
+				limited to, procurement of substitute goods or services; loss of use,
+				data, or profits; or business interruption) however caused and on any
+				theory of liability, whether in contract, strict liability, or tort
+				(including negligence or otherwise) arising in any way out of the
+				use
+				of this software, even if advised of the possibility of such damage.
+			</p>
+			<p>Author: See AUTHORS</p>
+			<p>Id: $Id: makegraphicsanttask.xsl 9646 2011-11-05 23:39:08Z rahtz $</p>
+			<p>Copyright: 2008, TEI Consortium</p>
+		</desc>
+	</doc>
+	<xsl:key name="G"
+		match="tei:graphic[not(ancestor::teix:egXML)]" use="1" />
+	<xsl:key name="PB" match="tei:pb[@facs and not(@rend='none')]"
+		use="1" />
+	<xsl:key name="Timeline" match="tei:timeline" use="1" />
+	<xsl:param name="mediaoverlay">
+		false
+	</xsl:param>
+	<xsl:param name="filePerPage">
+		false
+	</xsl:param>
+	<xsl:param name="inputDir">
+		.
+	</xsl:param>
+	<xsl:param name="mediaDir">
+		word/media
+	</xsl:param>
+	<xsl:template match="/">
+		<project xmlns="" basedir="." default="dist" name="imagecopy">
+			<target name="dist">
+				<xsl:if test="key('PB',1) or key('G',1)">
+					<mkdir>
+						<xsl:attribute name="dir">
 	       <xsl:text>${outputTempDir}/</xsl:text>
-	       <xsl:value-of select="$mediaDir"/>
+	       <xsl:value-of select="$mediaDir" />
 	     </xsl:attribute>
-	   </mkdir>
-	 </xsl:if>
-	 <xsl:if test="$mediaoverlay='true' and key('Timeline',1)">
-	   <xsl:for-each select="key('Timeline',1)">
-	     <xsl:variable name="target">
-	       <xsl:text>${outputTempDir}/</xsl:text>
-	       <xsl:value-of select="$mediaDir"/>
-	       <xsl:text>/audio</xsl:text>
-	       <xsl:number level="any"/>
-	       <xsl:text>.</xsl:text>
-	       <xsl:value-of select="tokenize(@corresp,'\.')[last()]"/>
-	     </xsl:variable>
-	     <copy toFile="{$target}" file="{$inputDir}/{@corresp}"/>
-	   </xsl:for-each>
-	 </xsl:if>
-	 <xsl:for-each select="key('PB',1)">
-	   <xsl:variable name="F">
-	     <xsl:choose>
-	       <xsl:when test="starts-with(@facs,'#')">
-		 <xsl:for-each select="id(substring(@facs,2))">
-		   <xsl:value-of select="tei:graphic[1]/@url"/>
-		 </xsl:for-each>
-	       </xsl:when>
-	       <xsl:otherwise>
-		 <xsl:value-of select="@facs"/>
-	       </xsl:otherwise>
-	     </xsl:choose>
-	   </xsl:variable>
-	   <xsl:variable name="target">
-	     <xsl:text>${outputTempDir}/</xsl:text>
-	     <xsl:value-of select="$mediaDir"/>
-	     <xsl:text>/pageimage</xsl:text>
-	     <xsl:number level="any"/>
-	     <xsl:text>.</xsl:text>
-	     <xsl:value-of select="tokenize($F,'\.')[last()]"/>
-	   </xsl:variable>
-	   <xsl:choose>
-	     <xsl:when test="starts-with($F,'http')">
-	       <get src="{@url}" dest="{$target}"/>
-	     </xsl:when>
-	     <xsl:when test="starts-with($F,'/')">
-	       <copy toFile="{$target}" file="{@url}"/>
-	     </xsl:when>
-	     <xsl:otherwise>
-	       <copy toFile="{$target}" file="{$inputDir}/{$F}"/>
-	     </xsl:otherwise>
-	   </xsl:choose>
-	 </xsl:for-each>
+					</mkdir>
+				</xsl:if>
+				<xsl:if test="$mediaoverlay='true' and key('Timeline',1)">
+					<xsl:for-each select="key('Timeline',1)">
+						<xsl:variable name="target">
+							<xsl:text>${outputTempDir}/</xsl:text>
+							<xsl:value-of select="$mediaDir" />
+							<xsl:text>/audio</xsl:text>
+							<xsl:number level="any" />
+							<xsl:text>.</xsl:text>
+							<xsl:value-of
+								select="tokenize(@corresp,'\.')[last()]" />
+						</xsl:variable>
+						<copy toFile="{$target}" file="{$inputDir}/{@corresp}" />
+					</xsl:for-each>
+				</xsl:if>
+				<xsl:for-each select="key('PB',1)">
+					<xsl:variable name="F">
+						<xsl:choose>
+							<xsl:when test="starts-with(@facs,'#')">
+								<xsl:for-each select="id(substring(@facs,2))">
+									<xsl:value-of select="tei:graphic[1]/@url" />
+								</xsl:for-each>
+							</xsl:when>
+							<xsl:otherwise>
+								<xsl:value-of select="@facs" />
+							</xsl:otherwise>
+						</xsl:choose>
+					</xsl:variable>
+					<xsl:variable name="target">
+						<xsl:text>${outputTempDir}/</xsl:text>
+						<xsl:value-of select="$mediaDir" />
+						<xsl:text>/pageimage</xsl:text>
+						<xsl:number level="any" />
+						<xsl:text>.</xsl:text>
+						<xsl:value-of select="tokenize($F,'\.')[last()]" />
+					</xsl:variable>
+					<xsl:choose>
+						<xsl:when test="starts-with($F,'http')">
+							<get src="{@url}" dest="{$target}" />
+						</xsl:when>
+						<xsl:when test="starts-with($F,'/')">
+							<copy toFile="{$target}" file="{@url}" />
+						</xsl:when>
+						<xsl:otherwise>
+							<copy toFile="{$target}" file="{$inputDir}/{$F}" />
+						</xsl:otherwise>
+					</xsl:choose>
+				</xsl:for-each>
 
-	 <xsl:for-each select="key('G',1)">
-	   <xsl:variable name="F">
-	     <xsl:value-of select="@url"/>
-	   </xsl:variable>
-	   <xsl:variable name="target">
-	     <xsl:text>${outputTempDir}/</xsl:text>
-	     <xsl:value-of select="$mediaDir"/>
-	     <xsl:text>/resource</xsl:text>
-	     <xsl:number level="any"/>
-	     <xsl:text>.</xsl:text>
-	     <xsl:value-of select="tokenize($F,'\.')[last()]"/>
-	   </xsl:variable>
-	   <xsl:choose>
-	     <xsl:when test="starts-with($F,'http')">
-	       <get src="{@url}" dest="{$target}"/>
-	     </xsl:when>
-	     <xsl:when test="starts-with($F,'/')">
-	       <copy toFile="{$target}" file="{@url}"/>
-	     </xsl:when>
-	     <xsl:otherwise>
-	       <copy toFile="{$target}" file="{$inputDir}/{@url}"/>
-	     </xsl:otherwise>
-	   </xsl:choose>
-	 </xsl:for-each>
-       </target>
-     </project>
- </xsl:template>
-   
- </xsl:stylesheet>
\ No newline at end of file
+				<xsl:for-each select="key('G',1)">
+					<xsl:variable name="F">
+						<xsl:value-of select="@url" />
+					</xsl:variable>
+					<xsl:variable name="target">
+						<xsl:text>${outputTempDir}/</xsl:text>
+						<xsl:value-of select="$mediaDir" />
+						<xsl:text>/resource</xsl:text>
+						<xsl:number level="any" />
+						<xsl:text>.</xsl:text>
+						<xsl:value-of select="tokenize($F,'\.')[last()]" />
+					</xsl:variable>
+					<xsl:choose>
+						<xsl:when test="starts-with($F,'http')">
+							<get src="{@url}" dest="{$target}" />
+						</xsl:when>
+						<xsl:when test="starts-with($F,'/')">
+							<copy toFile="{$target}" file="{@url}" />
+						</xsl:when>
+						<xsl:otherwise>
+							<copy toFile="{$target}" file="{$inputDir}/{@url}" />
+						</xsl:otherwise>
+					</xsl:choose>
+				</xsl:for-each>
+			</target>
+		</project>
+	</xsl:template>
+
+</xsl:stylesheet>
\ No newline at end of file
